I=(S=Uno.Int3 = function(){
    this.X = 0;
    this.Y = 0;
    this.Z = 0;
}).prototype;

I.ToString = function()
{
    return "Uno.Int3";
};

I.GetHashCode = function()
{
    return 0;
};

S.$0 = function(x, y, z) {
    var $this = new Uno.Int3;
    $this.X = x;
    $this.Y = y;
    $this.Z = z;
    return $this;
};

S.$1 = function(xy, z) {
    var $this = new Uno.Int3;
    $this.X = xy.X;
    $this.Y = xy.Y;
    $this.Z = z;
    return $this;
};

S.$2 = function(x, yz) {
    var $this = new Uno.Int3;
    $this.X = x;
    $this.Y = yz.X;
    $this.Z = yz.Y;
    return $this;
};
